"use strict";
// Copyright 2023-latest the httpland authors. All rights reserved. MIT license.
// This module is browser compatible.
Object.defineProperty(exports, "__esModule", { value: true });
exports.assertValidDirectives = void 0;
const deps_js_1 = require("./deps.js");
/** Assert the directives is valid.
 * @throws {AggregateError}
 */
function assertValidDirectives(directives) {
    const errorRecord = (0, deps_js_1.filterValues)({ ...directives }, (value) => (0, deps_js_1.isNumber)(value) && !(0, deps_js_1.isNonNegativeInteger)(value));
    const keys = Object.keys(errorRecord);
    if (keys.length) {
        const errors = keys.map((key) => RangeError(`directive must be non-negative integer. ${key}`));
        throw AggregateError(errors, "directives include invalid value");
    }
}
exports.assertValidDirectives = assertValidDirectives;
